Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap

From: Jan Nieuwenhuizen <[email-masked]>
Date: Fri, 13 May 2022 10:10:02 +0200

Ludovic Courtès writes:

Hi,

> "Jan (janneke) Nieuwenhuizen" <[email-masked]> skribis:
>
>> * doc/guix.texi (Reduced Binary Seed Bootstrap): Update and rename to...
>> (Full Source Bootstrap): ...this.
>> * doc/images/gcc-core-mesboot0-graph.dot: Regenerate.
>
> Nice!

Yeah, I really like this too.

>> -Copyright @copyright{} 2016, 2017, 2018, 2019, 2020 Jan Nieuwenhuizen@*
>> +Copyright @copyright{} 2016, 2017, 2018, 2019, 2021 Jan Nieuwenhuizen@*
>
> 2022 even.  :-)

Oh my, that's right!

>> +``Full Source'' bootstrap.  This bootstrap is rooted in @file{hex0-seed}
>
> Maybe: @dfn{full-source bootstrap}.
>
> (I’d tend to avoid capitals, not sure.)

Nice.

>> +from the @url{https://savannah.gnu.org/projects/stage0, Stage0} package.
>> +The source code of this initial hex0 program is a file called
>> +@c XXX TODO: udpate to savannah url, once accepted there
>> +@url{https://github.com/oriansj/bootstrap-seeds/blob/master/POSIX/x86/hex0_x86.hex0,@file{hex0_x86.hex0}}
>> +and is written in the @code{hex0} language.
>> +
>> +Hex0 is self hosting, which means that it can build itself:
>
> Before “The source code of this initial …”, perhaps add a sentence like:
>  
>   The hex0 program is minimalist assembler: it reads space-separated
>   hexadecimal digits from a file, possibly including comments, and emits
>   on standard output the bytes corresponding to those hexadecimal
>   numbers.
>
> (Is that a fine description?  I think it’d be nice if the stage0 site
> and repo could describe things in simple terms like that.)

Yes, that's nice.

> s/self hosting/self-hosting/

Ok.

>> -The only significant binary bootstrap seeds that remain@footnote{
>> -Ignoring the 68KB @code{mescc-tools}; that will be removed later,
>> -together with @code{mes}.} are a Scheme interpreter and a Scheme
>> -compiler: GNU Mes and GNU Guile@footnote{Not shown in this graph are the
>> -static binaries for @file{bash}, @code{tar}, and @code{xz} that are used
>> -to get Guile running.}.
>
> \o/
>
> Otherwise LGTM!

\o/ Phew!
Janneke

-- 
Jan Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://lilypond.org
Freelance IT https://JoyOfSource.com | Avatar® https://AvatarAcademy.com